%define rev	2379
%define major	2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
# Set release here!
%define rel	2

%if %{rev}
# Change spec to use next line when version changes
#%%define release	%%mkrel -c %%{rev} %%{rel}
%define release	%mkrel 1.%{rev}.%{rel}
%else
%define release	%mkrel %{rel}
%endif

Name:		gigedit
Summary:	Instrument editor for gig files
Version:	0.2.0
Release:	%{release}
License:	GPLv2+
Group:		Sound/Utilities
# Make tarball in SOURCES from svn with:
# $ ./mk_svn_tar gigedit https://svn.linuxsampler.org/svn/gigedit/trunk tar.gz -a
Source0:	%{name}-%{rev}.tar.gz
Source1:	mk_svn_tar
URL:		http://www.linuxsampler.org/

BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(gig)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(linuxsampler) >= 0.5.0
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	xsltproc
BuildRequires:	intltool

%description
An instrument editor for gig files

%files -f %{name}.lang
%{_bindir}/gigedit
%{_datadir}/gigedit/status_attached.xpm
%{_datadir}/gigedit/status_detached.xpm
%{_datadir}/applications/%{name}.desktop
%dir %{_docdir}/gigedit
%doc %{_docdir}/gigedit/*.png
%doc %{_docdir}/gigedit/*.css
%doc %{_docdir}/gigedit/*.html

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libraries from %{name}

%files -n %{libname}
%_libdir/gigedit/libgigedit.so.%{major}*
# Required at runtime so moved here from devel package:-
%_libdir/linuxsampler/plugins/libgigeditlinuxsamplerplugin.so

#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/Other
Summary:	Libraries for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}%{name}1-devel <= %{version}-%{release}

%description -n %{develname}
Development libraries from %{name}

%files -n %{develname}
%_libdir/gigedit/*.so

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}

%build
%configure2_5x
make

%install
make DESTDIR=%buildroot install
%find_lang %{name}
find %{buildroot} -regex ".*\(a\|la\)$" -exec rm '{}' \;

# Desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOL
[Desktop Entry]
Comment[en_GB]=An instrument editor for gig files
Comment=An instrument editor for gig files
Exec=gigedit
GenericName[en_GB]=Gigedit
GenericName=Gigedit
Icon=audio-midi
MimeType=audio/midi;
Name[en_GB]=Gigedit
Name=Gigedit
StartupNotify=true
Terminal=false
Type=Application
Categories=Audio;AudioVideo;Midi;X-Mageia-CrossDesktop;
X-KDE-SubstituteUID=false
EOL


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.2.0-1.2379.2.mga3
+ Revision: 351552
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 0.2.0-1.2379.1.mga3
+ Revision: 348061
- correct release format as interim until version update

* Fri Nov 16 2012 barjac <barjac> 0.2.0-1.2379.mga3
+ Revision: 318411
- add desktop file
- moved libgigeditlinuxsamplerplugin.so to lib package as it is needed at run time

* Thu Nov 15 2012 barjac <barjac> 0.2.0-0.2379.mga3
+ Revision: 317989
- spec cleaned
- removed static libs
- added BR xsltproc
- fixed unversioned explicit obsolete
- added mk_svn_tar script to create tarball from svn
- fixed group
- Import from Mandriva

